%define _requires_exceptions libRlapack.so\\|libRlapack.so()(64bit)\\|libedit.so.2\\|libedit.so.2()(64bit)

Name:           rstudio
Version:        0.98.1103
###Version:        0.99.891
Release:        %mkrel 2
Summary:	IDE for R
Summary(pl.UTF-8): IDE dla R
License:	AGPLv3
Group:		Applications
Source0:	http://www.rstudio.com/products/rstudio/download/%{name}-%{version}.tar.xz
URL:		http://rstudio.com/products/rstudio
Patch0:		rstudio_remove_pandoc.patch
BuildRequires:	apache-ant
BuildRequires:	%{_lib}qtwebkit4
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	%{_lib}uuid-devel
BuildRequires:	%{_lib}icu-devel
BuildRequires:	%{_lib}qtxmlpatterns4
BuildRequires:	R-base >= 2.11.1
BuildRequires:	cmake >= 2.8.0
BuildRequires:	openssl-devel
BuildRequires:	%{_lib}pam-devel
BuildRequires:	%{_lib}pango1.0-devel
BuildRequires:	unzip
BuildRequires:	git
BuildRequires:	%{_lib}boost-devel
Requires:	%{_lib}boost1.55.0
Requires:	R-base >= 2.11.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RStudio(tm) is a free and open source integrated development
environment (IDE) for R. You can run it on your desktop (Windows, Mac,
or Linux) or even over the web using RStudio Server.

%prep
%setup -q 
%patch0 -p1

pushd dependencies/common
 ./install-packages
 ./install-cef
 ./install-dictionaries
 ./install-mathjax
 ./install-gwt
popd


%build
Boost_INCLUDE_DIR=/usr/include \
  %cmake \
	-DRSTUDIO_TARGET=Desktop   \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_PREFIX=%{_libdir}/%{name} \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} -C build install/fast DESTDIR=$RPM_BUILD_ROOT

ln -s %{_libdir}/%{name}/bin/rstudio $RPM_BUILD_ROOT%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Exec=%{_bindir}/rstudio
Icon=rstudio
Type=Application
Terminal=false
Name=RStudio
Categories=Science;Math;X-MandrivaLinux-MoreApplications-Sciences-Mathematics
MimeType=text/x-r-source;text/x-r;text/x-r-doc;text/x-r-sweave;application/x-r-data;application/x-r-project;text/x-r-history;text/x-r-profile;text/x-tex
EOF

%post
%{update_mime_database}
%{update_desktop_database}

%postun
%{clean_mime_database}
%{clean_desktop_database}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NOTICE README.md
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/R
%dir %{_libdir}/%{name}/bin
%attr(755,root,root) %{_libdir}/%{name}/bin/r*
%attr(755,root,root) %{_libdir}/%{name}/bin/diagnostics
###%dir %{_libdir}/%{name}/bin/pandoc
###%attr(755,root,root) %{_libdir}/%{name}/bin/pandoc/*
%dir %{_libdir}/%{name}/bin/postback
%attr(755,root,root) %{_libdir}/%{name}/bin/postback/*
%{_libdir}/%{name}/INSTALL
%{_libdir}/%{name}/COPYING
%{_libdir}/%{name}/NOTICE
%{_libdir}/%{name}/README.md
%{_libdir}/%{name}/SOURCE
%{_libdir}/%{name}/resources
%{_libdir}/%{name}/www
%{_libdir}/%{name}/www-symbolmaps/*
%{_libdir}/%{name}/VERSION
%{_libdir}/%{name}/rstudio.png
%{_desktopdir}/rstudio.desktop
%{_iconsdir}/hicolor/*x*/apps/*
%{_iconsdir}/hicolor/*x*/mimetypes/*
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/rstudio.png

%changelog
* Tue Feb 29 2016 woodhead <pp> 0.98.1103-2pclos2016
- rebuild

* Sat Mar 28 2015 pinoc <vogtpet at gmail.com> 0.98.1103-1pclos2015
- 0.98.1103

* Sat Jan 24 2015 pinoc <vogtpet at gmail.com> 0.98.1091-1pclos2015
- 0.98.1091

* Wed Nov 05 2014 pinoc <vogtpet at gmail.com> 0.98.1087-2pclos2014
- remove incompatible binary pandoc package

* Mon Nov 03 2014 pinoc <vogtpet at gmail.com> 0.98.1087-1pclos2014
- 0.98.1087
- fixed pandoc files

* Mon Oct 27 2014 pinoc <vogtpet at gmail.com> 0.98.1083-1pclos2014
- 0.98.1083
- added missing dependencies in build script

* Thu Dec 05 2013 pinoc <vogtpet at gmail.com> 0.98.484-1pclos2013
- 0.98.484
- fixed mimetypes

* Sun Dec 01 2013 pinoc <vogtpet at gmail.com> 0.97.551-2pclos2013
- rebuild against fixed R-base

* Fri Nov 29 2013 pinoc <vogtpet at gmail.com> 0.97.551-1pclos2013
- 0.97.551
- use in-package download scripts
- add requires_exceptions

* Mon Jul 02 2012 Neal <nealbrks0 at gmail dot com> 0.95.264-2pclos2012
- process

* Sat Jun 30 2012 Galen Seaman <galen.seaman@comcast.net> 0.95.264-2pclos2012
- rebuild

* Fri Apr 13 2012 Neal <nealbrks0 at gmail.com> rstudio-0.95.264-1pclos2012
- process

* Wed Apr 11 2012 Galen Seaman <gseaman@clear.net> rstudio-0.95.264-1pclos2012
- First build for PCLinuxOS
